de.dhbwstuttgart.syntaxtree.statement

## Class ThisCall

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.syntaxtree.statement.MethodCall
          - - de.dhbwstuttgart.syntaxtree.statement.ThisCall

- All Implemented Interfaces:
    IItemWithOffset, Typeable
  Direct Known Subclasses:
    SuperCall

      public class ThisCall
      extends MethodCall

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ArgumentList` | `arglist`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.MethodCall

      `parserlog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `usedid`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `inferencelog`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `offset, type`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThisCall(int offset, int variableLength)`
    `ThisCall(SyntaxTreeNode parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArgumentList` | `getArgumentList()`
    `Menge<SyntaxTreeNode>` | `getChildren()`
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `void` | `set_ArgumentList(ArgumentList al)`
    `void` | `set_UsedId(UsedId ui)`
    `java.lang.String` | `toString()` Author: Martin PlÃ¯Â¿Â½micke
    `ConstraintsSet` | `TYPEExpr(TypeAssumptions assumptions)`
    `ConstraintsSet` | `TYPEStmt(TypeAssumptions assumptions)` This kann auch als Konstruktoraufruf in einem Konstruktor-Block vorkommen.

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.MethodCall

      `add_Expr, constraintsFromMethodAssumption, get_Name, get_Receiver, getName, overloading, parserPostProcessing, set_Expr_Menge, set_Name, set_Receiver, wandleRefTypeAttributes2GenericAttributes`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

      `get_Name_Menge, get_Type_Menge, get_UsedId, set_Type`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

      `getTypeLineNumber, getTypeName`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

      `getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### arglist

          public ArgumentList arglist

  - ### Constructor Detail

    - #### ThisCall

          public ThisCall(int offset,
                          int variableLength)

    - #### ThisCall

          public ThisCall(SyntaxTreeNode parent)

  - ### Method Detail

    - #### set_ArgumentList

          public void set_ArgumentList(ArgumentList al)

      Overrides:
        `set_ArgumentList` in class `MethodCall`

    - #### getArgumentList

          public ArgumentList getArgumentList()

      Overrides:
        `getArgumentList` in class `MethodCall`

    - #### set_UsedId

          public void set_UsedId(UsedId ui)

      Overrides:
        `set_UsedId` in class `MethodCall`

    - #### TYPEExpr

          public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

      Overrides:
        `TYPEExpr` in class `MethodCall`

    - #### TYPEStmt

          public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

      This kann auch als Konstruktoraufruf in einem Konstruktor-Block vorkommen.
      Overrides:
        `TYPEStmt` in class `MethodCall`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `MethodCall`
      Author: Martin PlÃ¯Â¿Â½micke
      Overrides:
        `toString` in class `MethodCall`

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

      Overrides:
        `printJavaCode` in class `MethodCall`

    - #### getChildren

          public Menge<SyntaxTreeNode> getChildren()

      Overrides:
        `getChildren` in class `MethodCall`